## calypso.util
Class VectorRecycler

    java.lang.Object
      |
      +--calypso.util.VectorRecycler

public final class VectorRecycler
extends java.lang.Object

Static recycler class for java.util.Vector

See Also:

Constructor Summary
`VectorRecycler()`

Method Summary
`static java.util.Vector` | `Alloc()` Get one
`static java.util.Vector` | `Alloc(int aCapacity)` Get one with an initial capacity a recycled vector may be bigger than capacity
`static void` | `EmptyRecycler()` Empty the recycler, it's earth day
`static void` | `Recycle(java.util.Vector aVector)` Recycle a vector (it will be emptied by the recycler)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorRecycler

    public VectorRecycler()

Method Detail

### Alloc

    public static java.util.Vector Alloc()

  Get one
  Returns:
  Throws:
    -

### Alloc

    public static java.util.Vector Alloc(int aCapacity)

  Get one with an initial capacity a recycled vector may be bigger than capacity
  Parameters:
    `aCapacity` - minimum desired capacity
  Returns:
  Throws:
    -

### Recycle

    public static void Recycle(java.util.Vector aVector)

  Recycle a vector (it will be emptied by the recycler)
  Parameters:
    `aVector` - vector to be recycled
  Returns:
  Throws:
    -

### EmptyRecycler

    public static void EmptyRecycler()

  Empty the recycler, it's earth day
  Parameters:
    `` -
  Returns:
  Throws:
    -